Summary:             crypto related bash library
Name:                bash-crypto
Version:             0.2
Release:             1
# URL: 
Source0:             %{name}-%{version}.tar.xz
License:             GPL
Group:               Applications/System
BuildRoot:           %{_tmppath}/%{name}-root
BuildArchitectures:  noarch
Requires:            bash >= 4.2
Requires:            bash-base >= 0.4.9
BuildRequires:       bash >= 4.2
BuildRequires:       bash-base >= 0.4.9

%description

This library provides (some) cryptographic functions for bash
including hash functions and utilities like base32 decoding.

%prep
%setup -q

%build

%check
./regress/regress.sh

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/{libexec,share/doc/%{name}-%{version}}
cp -a libexec/%{name}.bash %{buildroot}/usr/libexec/.
cp -a doc/* %{buildroot}/usr/share/doc/%{name}-%{version}/.

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/libexec/%{name}.bash
%doc /usr/share/doc/%{name}-%{version}
